#!/bin/sh
#
# Nautilus script that wipes selected files.
#
# Author: Mikel Olasagasti <hey_neken@mundurat.net>
#
# Copyright (C) 2007 Mikel Olasagasti
# Licence: AS-IS
#
# Version 0.2 - 20070904
# Fix progress bar
#
# Version 0.1 - 20070903
# Initial version
#
# Dependency: nautilus, zenity and wipe
#

WIPE="/usr/bin/wipe"
# We don't want to split NAUTILUS_SCRIPT_SELECTED_FILE_PATHS on spaces.
IFS="
"


zenity --question --title="Kontuz!" --text "Ziur zaude $NAUTILUS_SCRIPT_SELECTED_FILE_PATHS ezabatzeaz?"

if [ $? -eq 0 ]; then
	(for FILE in $NAUTILUS_SCRIPT_SELECTED_FILE_PATHS; do
		if [ -e "$FILE" ]; then
			if [ -d "$FILE" ]; then
				$WIPE -rf "$FILE"
			else
				$WIPE -f "$FILE"
			fi
		fi
	done) 2>&1 | zenity --progress --pulsate --text="Ezabatzen - Itxaron une bat" --auto-close --title="Ezabatzen"
fi 

